%define 	name	ploticus
%define 	version	1.40
%define		release	1

Summary:	Ploticus data display engine
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://www.sgpr.net/
Copyright:	Proprietary
Vendor:		Stephen C. Grubb <steve@sgpr.net>
Group: 		Scientific/Presentation
Buildroot: 	%{_tmppath}/%{name}
Packager:	<Christian.Werner@t-online.de>
Source:		http://www.sgpr.net/download/plsrc140.tar.gz
Patch:		plsrc140-libs.patch

BuildRequires:	libpng-devel zlib-devel

%description
Ploticus is a free software package that creates graphical data
displays for web pages and intranets, paper reports, posters, slides,
or interactive use. Ploticus is script-driven and can be invoked
automatically (automated) from web servers and other programs.
Ploticus can work with flat ascii or spreadsheet data sets that
can include numerics and text as well as dates and times in a wide
variety of notations. It also has built-in capability of computing
frequency distributions, cross-tabs, medians, quartiles, and curve
fitting.

%prep
%setup -n plsrc140
%patch -p1

%build
sed -e 's@^PLATFORM.*@PLATFORM = BSD@g' \
  -e 's@^XLIBDIR.*@XLIBDIR = /usr/X11R6/lib@g' \
  -e 's@^XINCLUDEDIR.*@XINCLUDEDIR = /usr/X11R6/include@g' \
  -e 's@^SLEEPLIB.*@@g' \
  -e 's@-c @-c $(FLAGS) @g' \
  < Makefile > Makefile.n
mv Makefile.n Makefile

make FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
BINDIR=$RPM_BUILD_ROOT%{_bindir}
MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $BINDIR
mkdir -p $MAN1DIR

for i in pl pltab plpng pltabpng ; do
   install -s -m 755 $i $BINDIR
done
for i in pl.1 pltab.1 ; do
   install -m 644 $i $MAN1DIR
done

gzip $MAN1DIR/*.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright README
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Thu Jan 18 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.40

* Thu Nov 30 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.39
- dropped unnecessary x11.c patch
- spec: %%{_tmppath} and other macros used

* Sat Sep 02 2000 <Christian.Werner@t-online.de>
- initial spec file
